/*
 * Copyright (C) 2009-2015 FBReader.ORG Limited <contact@fbreader.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

package org.geometerplus.android.fbreader.preferences;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.preference.Preference;

import org.geometerplus.zlibrary.core.resources.ZLResource;

class UrlPreference extends Preference implements Preference.OnPreferenceClickListener {
	private final String myUrl;

	UrlPreference(Context context, ZLResource resource, String resourceKey) {
		super(context);
		resource = resource.getResource(resourceKey);
		myUrl = resource.getResource("url").getValue();
		setTitle(resource.getValue());
		setSummary(myUrl);
		setOnPreferenceClickListener(this);
	}

	public boolean onPreferenceClick(Preference preference) {
		try {
			getContext().startActivity(new Intent(Intent.ACTION_VIEW, Uri.parse(myUrl)));
		} catch (Throwable t) {
			t.printStackTrace();
		}
		return true;
	}
}
